/* -*- mode: c; c-file-style: "gnu" -*-
 * src/methods/pam.h -- PAM authentication routine prototypes.
 * Copyright (C) 2003, 2004 Gergely Nagy <algernon@bonehunter.rulez.org>
 *
 * This file is part of Thy-Auth.
 *
 * Thy-Auth is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Thy-Auth is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
 * License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

/** @file pam.h
 * PAM authentication routine prototypes.
 */

#ifndef _THY_AUTH_PAM_AUTH_H
#define _THY_AUTH_PAM_AUTH_H 1 /**< pam-auth.h multi-inclusion
				  guard. */

/** Default service name for PAM. */
#define THY_AUTH_PAM_DEFAULT_SERVICE "thy"

int thy_auth_pam_auth (const char *user, const char *pw,
		       const char *realm, const char *service);
#endif
